import Load from '../util/load'
import Bus from '../util/bus'

export default {
  bind (el, binding, vnode) {
    el.onclick = () => {
      Bus.pub(`modal:show:${binding.arg}`)
    }

    Load.call(vnode.context, () => {
      const modal = document.getElementById(binding.arg)

      Bus.sub('body:click', t => {
        if (t !== el 
            && t !== modal
            && !modal.contains(t)
        ) {
          Bus.pub(`modal:hide:${binding.arg}`)
        }
      })
    })
  }
}
