function ViewPortHeight () {
  const d = document.documentElement

  if (!!window.innerWidth) {
    return window.innerHeight
  } else if (d && !isNan(d.clientHeight)) {
    return d.clientHeight
  }

  return 0
}

function ElPosY (el) {
  let t = el,
        top = 0

  while (!!t && t.tagName.toLowerCase() !== 'body') {
    top += t.offsetTop
    t = t.offsetParent
  }

  return top
}

function ScrollY () {
  if (window.pageYOffset) {
    return window.pageYOffset
  }

  return Math.max(document.documentElement.scrollTop, document.body.scrollTop)
}

export {
  ViewPortHeight,
  ElPosY,
  ScrollY
}